# Better Machines
![BetterMachines Preview](https://raw.githubusercontent.com/kremnev8/DSP-Mods/master/Mods/BetterMachines/mod-page-preview.png)
![BetterMachines Preview](https://raw.githubusercontent.com/kremnev8/DSP-Mods/master/Mods/BetterMachines/buildings-preview.png)

This mod adds new faster and improved machines, bigger storage and faster belts. <br/>
Things this mod adds to your game:
- Smelter Mk.II that smelts 1.5 times faster than Mk.I. Plane Smelter becomes Smelter Mk.III and smelts items 2 times faster than Mk.I
- Chemical Plant Mk.II and Mk.III, which process items 1.5 and 2 times faster than Mk.I version.
- Storage Mk.III and Mk.IV which can store 120 and 180 stacks of items.
- Liquid Tank Mk.II and Mk.III which store 30k and 60k units of liquids.
- Conveyor belt Mk.IV with whopping speed of 60/s (In game you will see 72/s, but due to belt implementation specifics you will only be able to utilize 60/s of throughput)
- Customize Assembler Mk.II and Mk.III assembling speed.

All of the machines above can have their parameters customized to your liking in the config file located at `Dyson Sphere Program/BepInEx/config/`.

If you are looking for more custom content, like new tiers of machines you should check out [AdvancedMiner](https://dsp.thunderstore.io/package/kremnev8/AdvancedMiner/) and [GigaStations](https://dsp.thunderstore.io/package/kremnev8/GigaStationsUpdated/)

## Recipes
![Recipes Preview](https://raw.githubusercontent.com/kremnev8/DSP-Mods/master/Mods/BetterMachines/recipe-showcase.png)

## Feedback, Bug Report and More 
More features might come in the future. I want to add more machines in the future, however creating custom models for machines is hard. It would greatly help if people skilled at 3D modeling and texturing for video-games would be willing to help to create assets.
Feel free to contact me via Discord (Kremnev8#3756) for any feedback, bug-reports or suggestions.

This mod should be compatible with [Galactic Scale 2](https://dsp.thunderstore.io/package/Galactic_Scale/GalacticScale/)<br/>
This mod should be compatible with [Nebula Multiplayer Mod](https://dsp.thunderstore.io/package/nebula/NebulaMultiplayerMod/)<br/>
I do need a conformation about that though.

## How can I support this mod
If you like what I do and would like to support me you can [donate](https://paypal.me/kremnev8). <br/>
If you want other means to support me, you can [message](#feedback-and-bug-report) me on discord about it.

## Installation
### With Mod Manager

Simply open the mod manager (if you don't have it install it [here](https://dsp.thunderstore.io/package/ebkr/r2modman/)), select **Better Machines by kremnev8**, then **Download**.

If prompted to download with dependencies, select `Yes`.

Then just click **Start modded**, and the game will run with the mod installed.

### Manually
Install BepInEx from [here](https://dsp.thunderstore.io/package/xiaoye97/BepInEx/)<br/>
Install CommonAPI from [here](https://dsp.thunderstore.io/package/CommonAPI/CommonAPI/)<br/>

Unzip folder `plugins` into `Dyson Sphere Program/BepInEx/plugins/BetterMachines/`. (Create folder named `BetterMachines`)<br/>

## Changelog
### v1.0.0
- Initial Release